Automette docs

Generate an image

POST
/api/v1/tools/generate_image

Authorization

ApiKeyAuth
AuthorizationBearer <token>

API key from API Keys in the dashboard menu.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/tools/generate_image" \  -H "Content-Type: application/json" \  -d '{    "data": {      "prompt": "A flat icon of a blue paper document on a white background",      "aspect_ratio": "1:1"    }  }'
{  "id": "string",  "self": "string",  "tool": "string",  "status": "pending",  "origin": "string",  "data": {},  "error": "string",  "code": "string",  "credits_used": 0,  "created_at": "2019-08-24T14:15:22Z",  "started_at": "2019-08-24T14:15:22Z",  "completed_at": "2019-08-24T14:15:22Z",  "result": {    "file": {      "name": "string",      "mime_type": "string",      "url": "string",      "url_expires_in": 0    },    "model": "string"  }}